Bug 483215 - RFE: Remove fedora-release from group @core
RFE: Remove fedora-release from group @core
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: comps (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Tom "spot" Callaway
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-30 05:26 EST by Jeroen van Meeuwen
Modified: 2014-03-16 23:17 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-12-13 15:38:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeroen van Meeuwen 2009-01-30 05:26:23 EST
Description of problem:

@core lists fedora-release as a mandatory package. This means fedora-release is pulled into any transaction whenever it is available.

Using "system-release" would still pull in fedora-release since the name is shorter (then the other -release package generic-release), and I suspect no other system-release packages are allowed in Fedora.

Removing the entire groups entry of a system-release package would let yum resolve dependencies and pull in the available and/or most suitable -release package.

Version-Release number of selected component (if applicable):

comps-f10.xml.in
comps-f11.xml.in

Additional info:

"fedora-release" is also in @buildsys-build, where it should be removed from as well.
Comment 1 Bill Nottingham 2009-01-30 11:09:05 EST
IIRC, this would cause weirdness in pungi, as it would then pull both. So, perhaps a s/fedora/system/ would be better.
Comment 2 Jeroen van Meeuwen 2009-01-31 18:19:21 EST
It already pulls in both because of the inclusive dependency resolving; the first requirement for "system-release" will pull in every single package that supplies "system-release"; being fedora-release and generic-release
Comment 3 Bug Zapper 2009-06-09 06:58:39 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Tom "spot" Callaway 2009-09-14 10:38:32 EDT
Any update here?
Comment 6 Bill Nottingham 2009-09-14 11:59:26 EDT
IIRC, we tried it, weird things happened, we put it back. Perhaps I'm misremembering.
Comment 7 Jeroen van Meeuwen 2009-09-16 07:02:56 EDT
I don't recall having had a part in these tests, could I get some more details?
Comment 8 Bill Nottingham 2009-09-16 11:07:12 EDT
That comment is the extent of my memory. If you do the change in a local comps file, do the various live images and the Fedora tree compose OK?
Comment 9 Bug Zapper 2010-04-27 08:49:49 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Jesse Keating 2010-04-27 11:40:07 EDT
IIRC comps does not work via "provides" so you can't just put system-release.

We could do something like how ppc/s390/ia64/whatever arch specific tools are done, where all our *-release packages are listed as default in @core, and make sure our compose tools only pick the appropriate one.  Does that sound OK to anybody?
Comment 11 Bill Nottingham 2010-04-27 11:42:30 EDT
I think the idea was that removing it and relying on dependency resolution would DTRT. But it would need testing.
Comment 12 Jesse Keating 2010-04-27 12:11:43 EDT
I'm not aware of anything that actually requires 'system-release'.  Well, /etc/redhat-release is needed by (installed) initscripts-9.08-1.fc13.x86_64  but eeew filedep.
Comment 13 Bill Nottingham 2010-04-27 14:17:57 EDT
It was done that way before we had generic system-release provides.
Comment 14 Bill Nottingham 2011-02-21 15:50:51 EST
Removed in comps-f16.xml.in; we'll watch for weirdness.

Note You need to log in before you can comment on or make changes to this bug.